/**
 * A document stored in a collection. If an _id field
 * is not provided, one will be generated on insert.
 */
export declare type DocumentWithId = {
    _id: string;
};
/**
 * A wrapped document, as it is written to DynamoDB.
 * You should not have to manipulate this type directly.
 */
export declare type WrappedDocument<DocumentType extends DocumentWithId> = {
    type: string;
    value: DocumentType;
};
