/**
 * @private
 * Increment the last character to one character lexigraphically higher. It
 * might not be a valid Unicode character, but that shouldn't matter as we're
 * only using them for range expressions.
 *
 * NOTE: I'm not sure if this is 100% correct as Unicode codepoints can go
 * up to 0x11000, but working on the boundary condition of 0x10FFF isn't
 * a valid codepoint so JavaScript falls back to code-unit behaviour. For
 * DynamoDB purposes, this may need to be done as a straight Buffer man-
 * ipulation.
 *
 * @param x  the string to increment the last character of
 * @returns the transformed string
 */
export declare const incrementLast: (x: string) => string;
/**
 * @private
 * Decrement the last character to one character lexigraphically lower. It
 * might not be a valid Unicode character, but that shouldn't matter as we're
 * only using them for range expressions
 *
 * NOTE: I'm not sure if this is 100% correct as Unicode codepoints can go
 * up to 0x11000, but working on the boundary condition of 0x10FFF isn't
 * a valid codepoint, so JavaScript falls back to code-unit behaviour. For
 * DynamoDB purposes, this may need to be done as a straight Buffer man-
 * ipulation.
 *
 * @param x  the string to increment the last character of
 * @returns the transformed string
 */
export declare const decrementLast: (x: string) => string;
