import { Context } from '../context';
import { DocumentWithId } from '../base/common';
import { CompositeCondition } from '../base/conditions';
/**
 * Delete a root object using its `_id` field
 * @param context the context object
 * @param collectionName the name of the collection
 * @param id the object to remove
 * @param options options to apply
 * @param options.condition an optional conditional expression that must be satifisfied for the update to proceed
 * @returns the deleted object (as stored in the database), or
 * `undefined` if not found
 * @throws {CollectionNotFoundException} when the collection is not found in the context
 */
export declare function deleteById<DocumentType extends DocumentWithId>(context: Context, collectionName: string, id: string, options?: {
    condition?: CompositeCondition;
}): Promise<DocumentType | undefined>;
