import { Context } from '../context';
import { DocumentWithId } from '../base/common';
/**
 * Insert a value into a collection. Adds an _id field to the value
 * if one is not provided using the `bson` ID generator (similar to
 * MongoDB IDs).
 *
 * @param context the context to use
 * @param collectionName name of the collection
 * @param value value to insert
 * @returns a copy of the inserted value, with appended `_id` field if not provided
 * @throws {ConflictException} when an item with the same _id already exists
 */
export declare function insert<DocumentType extends DocumentWithId>(context: Context, collectionName: string, value: Record<string, any>): Promise<DocumentType>;
